Subject: Re: http git and curl 7.16.0

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Jan 2007 00:08:02 -0800

George Sherwood <[email-masked]> writes:

> I CC'ed the mailing curl mailing list and according to the response
> this problem is fixed in the latest cvs version of curl with this
> commit:
>
> curl_easy_duphandle() sets the magic number in the new handle
>
> I have confirmed this works now git 1.4.4.3

Thanks, so it was a breakage on the .0 release on their side.

I'll leave this in place for now:

    #if (LIBCURL_VERSION_NUM < 0x070c04) || (LIBCURL_VERSION_NUM == 0x071000)
    #define NO_CURL_EASY_DUPHANDLE
    #endif

which specifically marks 7.16.0 as dud.